RechnMgmUserArea::UsersController.class_eval do
    if Rails.env != "test"
        after_action :broadcast_role_change, :only => :change_role
    end

    def broadcast_role_change
        data = {
            type: :role_change,
            who: current_user.id
        }

        # Send change to all users of the current organisation
        RechnMgmUserArea::MemberShip.where(organisation_id: current_user.current_organisation.id).each do |membership|
            ActionCable.server.broadcast "user_channel_#{membership.user_id}", data
        end
    end
end
